<div class="container" style="margin-top: 25px;">
    <a *ngIf='helper.checkUserLoggedInOrNot()'
      style='padding-top: 25px; margin-right: 20px;'>Welcome, User</a>
      <a *ngIf='helper.checkUserLoggedInOrNot()'>
        <button class="btn btn-primary" (click)='logout()'>Logout</button>
      </a>
    <div style="float: right; margin-bottom: 20px;">
    <button class="btn btn-primary" (click)="openModal(template, null, null)">Add Note</button>
    </div>
    <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Index</th>
            <th scope="col">Title</th>
            <th scope="col">Description</th>
            <th scope="col">Edit / Delete</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of notesData; let i = index">
            <th scope="row">{{i + 1}}</th>
            <td>{{data.title}}</td>
            <td>{{data.description}}</td>
            <td>
                <button class="btn btn-info" style="margin-right: 10px;"
                (click)='openModal(template, data._id, i)'>
                Edit
                </button>
                <button class="btn btn-danger" (click)='deleteNote(data._id)'>
                Delete
                </button>
            </td>
          </tr>
        </tbody>
      </table>
</div>

<!--Notes Modal-->

<ng-template #template>
    <div class="modal-header">
      <h4 class="modal-title pull-left">{{editId ? 'Update Note': 'Add Note'}}</h4>
      <button type="button" class="close pull-right" aria-label="Close" (click)="closeModel()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form [formGroup]='notesForm'>
        <div class="form-group">
            <input type="text" class="form-control" 
            formControlName='title' id='title' placeholder="Title">
        </div>
        <div class="form-group">
            <input type="text" class="form-control" 
            formControlName='description' id='description' placeholder="Description">
        </div>
        <button type="button" class="btn btn-primary" (click)='addNote()'>{{editId ? 'Update' : 'Add'}}</button>
      </form>
    </div>
  </ng-template>
